#### windows::overlapped_handle::operator=

Move-assign an `windows::overlapped_handle` from another.

    overlapped_handle & operator=(
        overlapped_handle && other);

This assignment operator moves a handle from one object to another.

###### Parameters

other

  The other `windows::overlapped_handle` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `overlapped_handle(io_context&) constructor`.